View Issue Details

IDProjectCategoryView StatusLast Update
0017954MediaMonkey 5Syncpublic2021-06-18 20:37
ReporterLudek Assigned To 
PriorityurgentSeveritymajorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version5.0 
Target Version5.0.1Fixed in Version5.0.1 
Summary0017954: Half-star rating is replaced by full star rating from iPod/iPhone
Description1) Add a track with half star rating on sync-list and sync with an iOS sevice (iPhone/iPad/iPod)
2) The track is shown with full star rating on the iOS device (as iOS devices does not support half-star ratings)
3) Sync the device again
=> the half-star rating in the MM5 library is replaced by full-star rating from iPod (even if the track wasn't re-rated on the device!).

Reported at https://www.mediamonkey.com/forum/viewtopic.php?f=30&t=99156
TagsNo tags attached.
Fixed in build2411

Activities

Ludek

2021-05-31 10:22

developer   ~0063620

Fixed in 2411

peke

2021-06-04 02:02

developer   ~0063726

Verified 2411

As I tested only on old iPod Touch, this should be closed after user on forum confirms it.

peke

2021-06-18 20:36

developer   ~0064007

Last edited: 2021-06-18 20:37

View 2 revisions

Re verified 2418

Non rated iPod Tracks even iPod shows full star, ratings are not synced back to MM as full star, but if user tap on full star or different star and revert to previous full star rating it is synced back (That if normal behavior and it passes regression testing)

Test note: Files were synced with 2417, played some are rated, some are not rated and some reverted to post sync state after rating to different value. Afte rtaht I synced with 2418 and behavior is normal now.